Bug 21681 - Cannot install; anaconda dies after all prompts have been answered
Cannot install; anaconda dies after all prompts have been answered
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2000-12-04 11:04 EST by rparker@fprep.org
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-12-04 12:55:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description rparker@fprep.org 2000-12-04 11:04:38 EST
Trying to install RedHat Linux v.7. Platform: Celeron CPU, 128MB, generic 
ATI video (which Anaconda was able to use OK), 6GB disk partitioned from 
scratch using Anaconda's preferences.

I made it through every GUI prompt, and when I clicked "Finish," this 
error was returned:

Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in 
    rc = apply (step[1](), step[2])
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 507, in 
    if todo.doInstall ():
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1470, in 
  File "fstab.py", line 408, in turnOnSwap
    isys.swapon (file)
  File "isys.py", line 142, in swapon
    return _isys.swapon (path)
SystemError: (22, 'Invalid argument')

Local variables in innermost frame:
path: /tmp/swap/hdc6

ToDo object:


I spent about three hours going through every combination of package, disk-
partitioning scheme, various other options that I could think of, and I 
never got anywhere. And oh yes, updates.redhat.com was dead all day 
yesterday (still is), so I can't even tell if the anaconda patch would 
have fixed this. Most annoying. Thanks for the help!
Comment 1 Michael Fulbright 2000-12-04 11:15:10 EST
This is a dupe of bug 17791.

Could you give step by step instructions on how to reproduce this problem?
Comment 2 rparker@fprep.org 2000-12-04 12:53:34 EST
I don't mean to be unhelpful, but the steps to duplicate the problem are

1. attempt to install software

The install application died on 100% of runs. Changing install options made no 
difference. Running in graphics mode vs text mode made no difference.
Comment 3 rparker@fprep.org 2000-12-04 12:55:46 EST
Further info: Selecting different partition sizes also had no effect on problem 
(I tried the default, a single huge partition, several other variations).
Comment 4 rparker@fprep.org 2000-12-14 11:31:12 EST
The problem has been resolved, but not using RedHat tools:
1) fdisk /mbr to clear boot record
2) Create a Linux partition and Linux swap space with System Commander 2000

Everything ran perfectly thereafter.

Note You need to log in before you can comment on or make changes to this bug.